SynapSynapDocs
Hub REST API

Graph

The Graph operations of the Hub REST API (1 operation).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/graph/traverse

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

userId?string
startEntityId*string
maxDepth?string
relationshipTypes?string

Response Body

Traversal results

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://pod.example.com/api/hub/graph/traverse?startEntityId=string'
Example Response
[  {    "property1": null,    "property2": null  }]